import logging

class Settings:
    # Application Parameters
    LOG_LEVEL = logging.INFO
    DO_BREAKPOINTS = True
    PAGE_DELAY = 0

    # Web Driver Parameters
    WEBDRIVER_USER_AGENT = 'Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.0; Trident/5.0)'
    WEBDRIVER_BROWSER = 'chrome' # Options are 'chrome', 'firefox'

    # Wikipedia Parameters
    PAGE_BASE_URL = 'https://www.wikipedia.org/'
    PAGE_LANGUAGE = 'English'
    # PAGE_LANGUAGE = 'Español'
    # PAGE_LANGUAGE = 'Русский'

    # Data Layer Parameters
    SQLITE_DBFILE = '/home/mathew/.wikicrawler.db'

